# Wallet

***

### <mark style="color:green;">GET</mark> /v1/balance

{% hint style="info" %}
**Request**
{% endhint %}

```bash
# Without parameters

curl -v --location --request GET 'https://sandbox.smartfastpay.com/v1/balance' \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <Access-Token>' \'
```

```bash
# With parameters

curl -v --location --request GET 'https://sandbox.smartfastpay.com/v1/balance?currency=USD' \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <Access-Token>' \'
```

{% hint style="info" %}
**Parameters details**
{% endhint %}

<table><thead><tr><th width="138.33333333333331">Parameter</th><th width="188" align="center">Type</th><th>Description</th></tr></thead><tbody><tr><td><mark style="color:red;"><code>currency</code></mark></td><td align="center"><mark style="color:red;"><code>string (3)</code></mark><br><mark style="color:red;"><code>min: 3 | max: 3</code></mark></td><td>This parameter is optional, if currency isn't provided it will return all currencies.<br><strong>Eg.: USD</strong></td></tr></tbody></table>

{% hint style="info" %}
**Response**
{% endhint %}

```bash
# All Currencies
{
    "requestId": "167ffff1-b58b-4d1b-909e-ff714c594967",
    "data": [
        {
            "currency": "BRL",
            "balance": 517488.21
        },
        {
            "currency": "USD",
            "balance": 53.62
        }
    ]
}
```

```bash
# One Currency
{
    "requestId": "167ffff1-b58b-4d1b-909e-ff714c594967",
    "data": [
        {
            "currency": "BRL",
            "balance": 517488.21
        }
    ]
}
```

{% hint style="info" %}
**Response details**
{% endhint %}

<table><thead><tr><th width="155">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><mark style="color:red;"><code>currency</code></mark></td><td>The currency type that the amount.</td></tr><tr><td><mark style="color:red;"><code>balance</code></mark></td><td>Balance value.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.smartfastpay.com/v1/reference/wallet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
